Skip to main content

Get a Quality Task by ID

Retrieve a single quality task by its unique integer ID.

Path Parameters
id int64 — REQUIRED

Unique identifier of the quality task.

id int32 — REQUIRED
Responses
200

The quality task with the specified ID.

Schema — OPTIONAL
tbd string — OPTIONAL
dqDimension string — OPTIONAL

Possible values: [accuracy, validity, completeness, comprehensive, uniqueness, consistency, freshness, cardinality, coverage, diversity]

json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
id int32 — OPTIONAL
name string — OPTIONAL
description string — OPTIONAL
datasetId string — OPTIONAL
columns string — OPTIONAL
successMsg string — OPTIONAL
failureMsg string — OPTIONAL
onboardingStatus string — OPTIONAL

Possible values: [drafted, deployed, paused, under_review, approved]

executionStatus string — OPTIONAL

Possible values: [passing, failing, pending]

criticalityLevel string — OPTIONAL

Possible values: [high, moderate, less, not]

401

Unauthorized access.

404

Quality task with the specified ID is not found.